module.exports = {
  branches: ["main"],
  plugins: [
    "@semantic-release/commit-analyzer",
    "@semantic-release/release-notes-generator",
    "@semantic-release/npm",
    [
      "@semantic-release/gitlab",
      {
        gitlabUrl: "https://gitlab.elasticpath.com",
        successComment: "Fixed in ${nextRelease.version}\\n\\n${nextRelease.notes}",
        failComment:
          "This release from branch ${branch.name} had failed due to the following errors:\\n- ${errors.map(err => err.message).join('\\\\n- ')}",
        labels: "semantic-release-bot",
      },
    ],
  ],
};
